config:
  target: "https://api.staging.prisme.ai/v2/workspaces/Fd_oOr_/events"
  socketio:
    query: {}
  phases:
    - duration: 2
      arrivalRate: 1
  plugins:
    prismeai: {}
  engines:
    socketio-v3: {}

scenarios:
  - name: "Connect and send a bunch of messages"
    engine: socketio-v3
    flow:
      - emit:
          - event
          - type: initSimulation
            payload:
              foo: bar
      - wait:
          event: updateText
          filters:
            source.sessionId: '{{ sessionId }}'
            source.socketId: '{{ socketId }}'
          timeout: 3000
